(no commit message)
[wiki.git] / doc / LennyBugsAll
index 5a3f47c805936f021e33163e3af26e24c444855c..0f17c6e4e3841f84f1a5b00b528c3bc20bd15fe7 100644 (file)
@@ -64,6 +64,10 @@ in [http://packages.debian.org/lenny/ruby1.9 ruby1.9]
 in [http://packages.debian.org/lenny/jfsutils jfsutils]
 "jfsutils: Bus Error when running fsck.jfs on sparc"
 
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501804 501804]
+in [http://packages.debian.org/lenny/installation-reports installation-reports]
+"installation-reports: Lenny b2 install on ThinkPad X61 - fails to detect hard disk"
+
 = Examples =
 
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496954 496954]
@@ -79,6 +83,11 @@ got the first reproducible testcase, and sent that upstream, which swiftly produ
 in [http://packages.debian.org/lenny/fenix fenix]
 "fenix: not 64 bit clean"
 
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490171 490171]
+in [http://packages.debian.org/lenny/rtorrent rtorrent]
+"rtorrent: random crash"
+[[BR]](Reproducing this seems to require runnin 20+ torrents for a ~day)
+
 = Puzzling =
 
 Someone please explain what's going on (Debian Project-wise) in these bugs.
@@ -97,10 +106,6 @@ Please read these reports and figure out what category they belong in.  Or make
 in [http://packages.debian.org/lenny/installation-reports installation-reports]
 "cdrom: Most of the system's files have a future timestamp causing at least update/config problems."
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490171 490171]
-in [http://packages.debian.org/lenny/rtorrent rtorrent]
-"rtorrent: random crash"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490999 490999]
 in [http://packages.debian.org/lenny/libqt3-mt libqt3-mt]
 "kicker: crashes on startup"
@@ -117,10 +122,6 @@ in [http://packages.debian.org/lenny/quagga quagga]
 in [http://packages.debian.org/lenny/installation-reports installation-reports]
 "grub-installer fails on a FSC Primergy RX300 with a level 5 RAID"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496334 496334]
-in [http://packages.debian.org/lenny/mdadm mdadm]
-"mdadm segfault on --assemble --force with raid10"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500460 500460]
 in [http://packages.debian.org/lenny/oss-compat oss-compat]
 "oss-compat: modules are not loaded"
@@ -129,10 +130,6 @@ in [http://packages.debian.org/lenny/oss-compat oss-compat]
 in [http://packages.debian.org/lenny/bind9 bind9]
 "bind9: bind crashes with a list for allow-update"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501804 501804]
-in [http://packages.debian.org/lenny/installation-reports installation-reports]
-"installation-reports: Lenny b2 install on ThinkPad X61 - fails to detect hard disk"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502140 502140]
 in [http://packages.debian.org/lenny/pam pam]
 "cannot unlock screen during etch -> lenny transition"
@@ -153,14 +150,6 @@ in [http://packages.debian.org/lenny/dbus dbus]
 in [http://packages.debian.org/lenny/ghostscript ghostscript]
 "etch->lenny upgrade left the system in broken state"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503907 503907]
-in [http://packages.debian.org/lenny/libwebkit-1.0-1 libwebkit-1.0-1]
-"epiphany-webkit: Crashes at startup whenever I go to a site."
-
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504373 504373]
-in [http://packages.debian.org/lenny/libtemplate-perl libtemplate-perl]
-"libtemplate-perl: Upgrade from etch breaks code using DBI plugins"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504524 504524]
 in [http://packages.debian.org/lenny/sun-java6 sun-java6]
 "AWT_TOOLKIT=MToolkit causes java to segfault on amd64"
@@ -173,10 +162,6 @@ in [http://packages.debian.org/lenny/nvidia-glx nvidia-glx]
 in [http://packages.debian.org/lenny/nvidia-glx-legacy-96xx-dev nvidia-glx-legacy-96xx-dev]
 "nvidia-glx-legacy-96xx-dev: /usr/lib/libGL.so symlink broken"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504747 504747]
-in [http://packages.debian.org/lenny/gnu-fdisk gnu-fdisk]
-"gnu-fdisk: wipes out MBR when used on GPT partitions"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504918 504918]
 in [http://packages.debian.org/lenny/network-manager network-manager]
 "Updating to lenny failed when NetworkManager got updated"
@@ -197,10 +182,6 @@ in [http://packages.debian.org/lenny/libgnutls26 libgnutls26]
 in [http://packages.debian.org/lenny/open-iscsi open-iscsi]
 "initiatorname.iscsi should maybe not be in /etc"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507059 507059]
-in [http://packages.debian.org/lenny/initramfs-tools initramfs-tools]
-"initramfs-tools: Wrong check for udevadm in functions"
-
 = Unclassified Security =
 
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505563 505563]
@@ -251,15 +232,10 @@ in [http://packages.debian.org/lenny/grub grub]
 in [http://packages.debian.org/lenny/hibernate hibernate]
 "ignores "LockXLock yes" setting in /etc/hibernate/common.conf (e.g. does not lock the screen)"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507576 507576]
-in [http://packages.debian.org/lenny/xbattbar-acpi xbattbar-acpi]
-"missing dependency: libconfig"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507579 507579]
 in [http://packages.debian.org/lenny/yocto-reader yocto-reader]
 "Package installation results in license violation"
 
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507706 507706]
 in [http://packages.debian.org/lenny/cdimage.debian.org cdimage.debian.org]
 "Missing sources for d-i components/kernel of etch-n-half images"
@@ -284,18 +260,6 @@ in [http://packages.debian.org/lenny/asterisk asterisk]
 in [http://packages.debian.org/lenny/mdadm mdadm]
 "mdadm: initramfs-tools script is broken, system with root on RAID won't boot"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507915 507915]
-in [http://packages.debian.org/lenny/povray povray]
-"Povray unusable with non-ascii filenames"
-
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507927 507927]
-in [http://packages.debian.org/lenny/acpi-support acpi-support]
-"Fix suspend-resume in Thinkpad R50e (intel 855gm card)"
-
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507944 507944]
-in [http://packages.debian.org/lenny/xwhois xwhois]
-"xwhois: segfaults on start in get_servers()"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507947 507947]
 in [http://packages.debian.org/lenny/moodle moodle]
 "moodle: html2text.php is not DFSG-free"
@@ -332,10 +296,6 @@ in [http://packages.debian.org/lenny/twiki twiki]
 in [http://packages.debian.org/lenny/sysprof-module-source sysprof-module-source]
 "sysprof-module-source: doesn't compile on AMD64 arch (wrong register names)"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508272 508272]
-in [http://packages.debian.org/lenny/gnome-splashscreen-manager gnome-splashscreen-manager]
-"gnome-splashscreen-manager: Refuses to start, undefined symbol: gtk_file_system_error_quark"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508313 508313]
 in [http://packages.debian.org/lenny/xine-lib xine-lib]
 "xine-lib: CVE-2008-5234 heap overflow in atom parsing"
@@ -348,10 +308,6 @@ in [http://packages.debian.org/lenny/wodim wodim]
 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
 "ftp.debian.org: gcc-4.2-base is not really required"
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508351 508351]
-in [http://packages.debian.org/lenny/open-iscsi open-iscsi]
-"open-iscsi: will not install, looking for missing /sys/module/scsi_transport_iscsi/version file"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508434 508434]
 in [http://packages.debian.org/lenny/ipmitool ipmitool]
 "ipmitool: Several init script problems due to wrong pidfile name"
@@ -368,10 +324,34 @@ in [http://packages.debian.org/lenny/iodbc iodbc]
 in [http://packages.debian.org/lenny/debget debget]
 "Can't parse packages.debian.org output anymore"
 
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508392 508392]
+in [http://packages.debian.org/lenny/dpkg dpkg]
+"Handling of conflicting conffiles broken"
+
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508565 508565]
+in [http://packages.debian.org/lenny/f2c f2c]
+"f2c: does not translate properly in EMT64 machines"
+
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508551 508551]
+in [http://packages.debian.org/lenny/merkaartor merkaartor]
+"merkaartor: crash on startup: QPaintEngine::setSystemClip: Should not be change
+
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502845 502845]
+in [http://packages.debian.org/lenny/open-iscsi open-iscsi]
+"open-iscsi: no login using amd64"
+
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508589 508589]
+in [http://packages.debian.org/lenny/linux-2.6 linux-2.6]
+"ppp: USB Modem removal after PPP exits kills keyboard"
+
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508635 508635]
+in [http://packages.debian.org/lenny/libexif-gtk-dev libexif-gtk-dev]
+"libexif-gtk-dev: References no longer existing libXcursor.la"
 
 = Mostly solved? =
 
-These look like good progress is being made and they'll get fixed soon.
+These look like good progress is being made and they'll get fixed
+soon. Do we need a DD to do an NMU on any of these?
 
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507316 507316]
 in [http://packages.debian.org/lenny/smarty smarty]
@@ -386,10 +366,6 @@ in [http://packages.debian.org/lenny/release-notes release-notes]
 "document procedure to recover from "/dev/hda became /dev/sda" boot failure"
 [[BR]](Note: looks done, just not closed.)
 
-[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476210 476210]
-in [http://packages.debian.org/lenny/xbat xbat]
-"xbat: game elements do not display properly"
-
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506883 506883]
 in [http://packages.debian.org/lenny/tuxguitar tuxguitar]
 "tuxguitar: hard-codes dependencies on libraries"
@@ -398,6 +374,16 @@ in [http://packages.debian.org/lenny/tuxguitar tuxguitar]
 in [http://packages.debian.org/lenny/libjs-jquery libjs-jquery]
 "libjs-jquery: Should compile jquery.min.js and jquery.pack.js from jquery.js"
 
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507059 507059]
+in [http://packages.debian.org/lenny/initramfs-tools initramfs-tools]
+"initramfs-tools: Wrong check for udevadm in functions"
+[[BR]](No maintainer activity since it was reported 2 weeks ago; One-line patch attached.)
+
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496334 496334]
+in [http://packages.debian.org/lenny/mdadm mdadm]
+"mdadm segfault on --assemble --force with raid10"
+[[BR]]Seems to be fixed and uploaded, but got reopened for some reason?
+
 = Not much of use one can do =
 
 (this one looks like it'll be removed from Lenny or have amd64 disabled)
@@ -432,6 +418,10 @@ For this one, the actual flameware is off the bug report log.
 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
 "longstanding DFSG violations in linux-2.6 package"
 
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504747 504747]
+in [http://packages.debian.org/lenny/gnu-fdisk gnu-fdisk]
+"gnu-fdisk: wipes out MBR when used on GPT partitions"
+
 = Would have been fun =
 
 Entertaining to read but sadly already fixed.
@@ -443,7 +433,7 @@ in auctex
 
 = Special team bugs =
 
-These bugs are probably not good targets because the work involved with them is to be done by someone on a special Debian team.
+These bugs are probably not good targets because the work involved with them at this point is to be done by someone on a special Debian team.
 
 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=451628 451628]
 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
@@ -521,3 +511,8 @@ in [http://packages.debian.org/lenny/release.debian.org release.debian.org]
 in [http://packages.debian.org/lenny/release.debian.org release.debian.org]
 "RM: astrolog/stable -- RoQA; orphaned long time, non-free, contains potentially undistributable code"
 
+This one is fixed in experimental:
+
+[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503907 503907]
+in [http://packages.debian.org/lenny/libwebkit-1.0-1 libwebkit-1.0-1]
+"epiphany-webkit: Crashes at startup whenever I go to a site."